Bug 511878 - PreUpgrade allows reboot without enough space
PreUpgrade allows reboot without enough space
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
: 629814 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-15 09:53 EDT by Andrew John Hughes
Modified: 2013-08-01 14:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 447743
Environment:
Last Closed: 2013-08-01 14:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew John Hughes 2009-07-15 09:53:56 EDT
Description of problem:

See https://bugzilla.redhat.com/show_bug.cgi?id=447743

This still occurs with a preupgrade of F10 to F11.  preupgrade provided
appropriate messages concerning disk space, so I freed a sufficient amount as
requested prior to reboot (actually over 50mb over the requirement) and the
installer failed asking for another gigabyte of space.  Why does it need this
when it has already downloaded all the packages and has over 500mb of workspace
to unpack them???  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 seth vidal 2009-07-15 13:56:20 EDT
Adding Panu and Clumens. Is there anything we can do to make the disk space check that yum/preupgrade does and the disk space check that anaconda does a bit more similar?
Comment 2 Bug Zapper 2010-04-27 11:42:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Lumens 2010-04-30 10:31:11 EDT
Seth - in F14, anaconda is a proper python module.  It should therefore be possible to import the proper components out of anaconda and make use of whatever checks you need that way.  If you guys need help on this, just shoot us a mail on anaconda-devel-list and we'll be happy to help.
Comment 4 seth vidal 2010-04-30 11:08:10 EDT
adding Richard to this one and reassinging to rawhide.
Comment 5 Bug Zapper 2010-07-30 06:42:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nicola Soranzo 2010-12-12 12:45:52 EST
*** Bug 629814 has been marked as a duplicate of this bug. ***
Comment 7 Will Woods 2010-12-13 01:04:12 EST
There's already code in preupgrade to run the same diskspace check as anaconda does - see transaction_test_diskspace() in __init__.py. It takes several minutes to run and is usually wrong.

The problem is that when you're using preupgrade, you're using the rpm/yum on the host system - not the rpm/yum that are in the install image. And they may not agree on how much disk space is needed to complete the transaction.

I'm also fairly sure the (anaconda) upgrade process itself writes a significant amount of data to disk, which also throws off the accuracy of the pre-upgrade diskspace check.

Unless you can mitigate these problems,  it's much faster and no less accurate to simply use an educated guess - based on how much extra disk space is usually needed, erring on the side of caution. Which is why get_upgrade_size just does:
    return 500 * 1024 * 1024

So the disk space check either needs to be more clever, and take into account *all* the ways available disk space might vary at upgrade time - or you just need to bump that up to 600MB, since all the false-positive reports I have seen have been off by 20-50MB.
Comment 8 Panu Matilainen 2010-12-13 02:48:03 EST
Hmm, "git blame" tells me the "takes several minutes to run" notion + commentary is from 2008. That was certainly true at the time, but it's gotten several orders of magnitude faster since then.

The other problems are still relevant though. Rpm doesn't know how much additional disk space anaconda, yum and other things (eg side-effects from package scriptlets) are going to consume during the upgrade, so the it can only tell you if the transaction is absolutely NOT going to fit on the available disk.
Comment 9 Fedora End Of Life 2012-08-16 16:34:39 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Andrew John Hughes 2012-08-16 19:31:49 EDT
This was still an issue with upgrading to F17.
Comment 11 Fedora End Of Life 2013-07-04 02:54:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 14:33:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.